/**
 * @file rotinas.c
 * Rotinas-exemplo de tipos de dados basicos e derivados
 * 
 * @author Wu Shin Ting
 * @date 19 de agosto de 2020
 */

extern float d, e, f;

/**
 * @brief Soma de dois valores inteiros
 * @param[in] a
 * @param[in] b
 * @return a+b
 */
int add (int a, int b)
{
	int c;
	static unsigned int vezes = 0;
	
	// Incrementar numero de chamadas
	vezes++;
	
	// Somar
	c = a+b;
	
	return c;
}

/**
 * @brief Subtracao de dois valores em ponto flutuante.
 * Valores sao passados como variaveis globais
 * 
 */
void sub (void) {
	// Subtrair variaveis globais
	f = d - e;
	
	return;
}
